<template>
  <nav class="text-gray-700 text-sm my-4" aria-label="Breadcrumb">
    <ol class="list-none p-0 inline-flex">
      <li class="flex items-center">
        <nuxt-link class="text-xs" to="/">página inicial</nuxt-link>
      </li>
      <li class="flex items-center" v-for="(category, index) in breadcrumbs" :key="index">
        <svg class="fill-current w-3 h-3 mx-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path d="M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z"/></svg>
        <nuxt-link class="text-xs" :to="localePath({ name: 'categories-slug', params: { slug: category.slug } })">{{ category.name }}</nuxt-link>
      </li>
    </ol>
  </nav>
</template>

<script>
export default {
  data() {
    return {
      // breadcrumbs: []
    }
  },
  watch: {
    '$route'() {
      // this.$store.commit('SET_BREADCRUMBS', { name: 'test1', slug: 'teste11' })
    }
  },

  mounted() {
    this.$nextTick(() => {
      // let parent = this.categories.find(category => category.id === this.filteredCategories[0].parent.parent_id)
      // console.log(this.filteredCategories)
      // this.breadCrumbs.push({ slug: parent.slug, name: parent.name })
      // if (parent.parent) {
      //   this.breadCrumbs.push({ slug: parent.parent.slug, name: parent.parent.name })
      // }
    })
  },

  computed: {
    breadcrumbs() {
      return this.$store.state.breadCrumbs
    },
  },
}
</script>
